CreateAvatarUpload
POST
/auth/v1/users/current/avatar/uploadQuery Parameters
user_id?user_id
The user_id query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.CreateAvatarUploadResponse",
"$ref-value": {
"type": "object",
"properties": {
"image_id": {
"type": "string",
"title": "image_id"
},
"upload_url": {
"type": "string",
"title": "upload_url"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "expires_at"
}
},
"title": "CreateAvatarUploadResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/users/current/avatar/upload"Success
application/json
{
"$ref": "#/components/schemas/auth.v1.CreateAvatarUploadResponse",
"$ref-value": {
"type": "object",
"properties": {
"image_id": {
"type": "string",
"title": "image_id"
},
"upload_url": {
"type": "string",
"title": "upload_url"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "expires_at"
}
},
"title": "CreateAvatarUploadResponse",
"additionalProperties": false
}
}